summaryrefslogtreecommitdiff
path: root/src/authorization/test-post.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/authorization/test-post.sh')
-rwxr-xr-xsrc/authorization/test-post.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/src/authorization/test-post.sh b/src/authorization/test-post.sh
new file mode 100755
index 0000000..fd3a8d8
--- /dev/null
+++ b/src/authorization/test-post.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+# This file is in the public domain.
+set -eu
+ADDR=`jq -n '{
+ full_name: "John Doe",
+ street: "Bar street 3",
+ city: "Wuppertal",
+ postcode: 42289,
+ country: "DE",
+ }'`
+
+echo "Your recovery code is 1234" | ./anastasis-authorization-post.sh "$ADDR"